package com.bgy.sms.channel.dmHub.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class DmHubConfig {


    // 应用过id
    public static String applicationId;
    // 应用key
    public static String applicationKey;
    public static String tokenUrl;
    public static String report;


    @Value("${system.config.dmHub.applicationId}")
    public void setApplicationId(String applicationId) {
        DmHubConfig.applicationId = applicationId;
    }


    @Value("{system.config.dmHub.applicationKey}")
    public void setApplicationKey(String applicationKey) {
        DmHubConfig.applicationKey = applicationKey;
    }

    @Value("{system.config.dmHub.tokenUrl}")
    public void setTokenUrl(String tokenUrl) {
        DmHubConfig.tokenUrl = tokenUrl;
    }
    
    @Value("{system.config.dmHub.report}")
    public void setReport(String report) {
        DmHubConfig.report = report;
    }


}
